# -*- coding: utf-8 -*-
"""
Created on Fri Dec 18 10:25:17 2020

@author: Studente

Write a recursive function that takes as an input the pathname of
a directory and returns a pair with the number of files 
reachable from the given directory and the maximum depth of any file
or subdirectory you can reach from the input pathname.
The depth is the number of subdirectories you have to cross for
reaching a file or a directory. (Files in the directory pathname are at
depth 0).

"""

import os

def files_and_depth(pathname):
    counter = 0
    max_depth = 0
    for filename in os.listdir(pathname):
        #fullpathname = pathname + os.path.sep + filename
        #fullpathname = pathname + '/' + filename
        fullpathname = os.path.join(pathname, filename)
        if os.path.isfile(fullpathname):
            counter += 1
        elif os.path.isdir(fullpathname):
            sub_dir_counter, sub_dir_depth = files_and_depth(fullpathname)
            counter += sub_dir_counter
            if max_depth < sub_dir_depth+1:
                max_depth = sub_dir_depth+1
    return counter, max_depth